cgCreateParameterArray(3)

NAME
cgCreateParameterArray - creates a parameter array

SYNOPSIS
  #include <Cg/cg.h>
  CGparameter cgCreateParameterArray( CGcontext context,
                                      CGtype type,
                                      int length );

PARAMETERS

context
    The context to which the new parameter will be added.

type
    The type of the new parameter.

length
    The length of the array being created.

RETURN VALUES
Returns the handle to the new parameter array.

DESCRIPTION
cgCreateParameterArray creates context level shared parameter arrays. These parameters are primarily used by connecting them to one or more program parameter arrays with cgConnectParameter.

cgCreateParameterArray works similarly to cgCreateParameter, but creates an array of parameters rather than a single parameter.

EXAMPLES
  CGcontext context = cgCreateContext();
  CGparameter param = cgCreateParameterArray(context, CG_FLOAT, 5);

ERRORS
CG_INVALID_VALUE_TYPE_ERROR is generated if type is invalid.

CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

HISTORY
cgCreateParameterArray was introduced in Cg 1.2.

SEE ALSO
the cgCreateParameter manpage, the cgCreateParameterMultiDimArray manpage, the cgDestroyParameter manpage